Package: groovy.lang

## [Java] Class Tuple9<T1, T2, T3, T4, T5, T6, T7, T8, T9>

- groovy.lang.Tuple9

- Represents a list of 9 typed Objects.

  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple9 (T1 first, T2 second, T3 third, T4 fourth, T5 fifth, T6 sixth, T7 seventh, T8 eighth, T9 ninth)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `get(int index)`
    `` | `T8` | `getEighth()`
    `` | `T5` | `getFifth()`
    `` | `T1` | `getFirst()`
    `` | `T4` | `getFourth()`
    `` | `T9` | `getNinth()`
    `` | `T2` | `getSecond()`
    `` | `T7` | `getSeventh()`
    `` | `T6` | `getSixth()`
    `` | `T3` | `getThird()`
    `` | `int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tuple` | `equals, get, hashCode, size, subList, subTuple`
    `class AbstractList` | `add, add, remove, get, equals, hashCode, indexOf, clear, iterator, lastIndexOf, subList, addAll, set, listIterator, listIterator, remove, toString, contains, isEmpty, size, toArray, toArray, addAll, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, stream, removeIf, parallelStream, forEach, replaceAll, size, spliterator, sort`

- - ### Constructor Detail

    - #### public Tuple9(T1 first, T2 second, T3 third, T4 fourth, T5 fifth, T6 sixth, T7 seventh, T8 eighth, T9 ninth)

  - ### Method Detail

    - #### @Override public Object get(int index)

    - #### public T8 getEighth()

    - #### public T5 getFifth()

    - #### public T1 getFirst()

    - #### public T4 getFourth()

    - #### public T9 getNinth()

    - #### public T2 getSecond()

    - #### public T7 getSeventh()

    - #### public T6 getSixth()

    - #### public T3 getThird()

    - #### @Override public int size()